Bug 1565702 - OpenShift 3.7 to 3.9 check for variable openshift_schedulable set to false on masters.
Summary: OpenShift 3.7 to 3.9 check for variable openshift_schedulable set to false on...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 3.9.z
Assignee: Vadim Rutkovsky
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On: 1565363
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 14:53 UTC by Ryan Howe
Modified: 2018-06-18 18:29 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1565363
Environment:
Last Closed: 2018-06-18 17:27:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3404981 0 None None None 2018-04-10 14:53:46 UTC

Comment 1 Vadim Rutkovsky 2018-04-11 13:24:48 UTC
Created https://github.com/openshift/openshift-ansible/pull/7913 to fix this

Comment 2 Vadim Rutkovsky 2018-05-10 16:44:58 UTC
Correct PR for 3.9 is https://github.com/openshift/openshift-ansible/pull/7911

Comment 3 Weihua Meng 2018-05-11 09:28:27 UTC
change not in latest build (v3.9.29).

No check and upgrade failed.

https://github.com/openshift/openshift-ansible/blob/openshift-ansible-3.9.29-1/roles/openshift_sanitize_inventory/tasks/main.yml

https://github.com/openshift/openshift-ansible/pull/7911
this is PR in master.

@Vadim Could you paste PR for 3.9? 
Thanks.

Comment 4 Vadim Rutkovsky 2018-05-11 09:41:26 UTC
The bot never created one

https://github.com/openshift/openshift-ansible/pull/8341 is a proper PR for release-3.9

Comment 5 Vadim Rutkovsky 2018-05-28 08:16:06 UTC
Fix is available in openshift-ansible-3.9.30-1

Comment 6 Weihua Meng 2018-05-29 05:47:25 UTC
Fixed.
openshift-ansible-3.9.30-1.git.0.a91a657.el7.noarch

TASK [openshift_sanitize_inventory : At least one master is schedulable] ******************************************************************************************************************************************
task path: /usr/share/ansible/openshift-ansible/roles/openshift_sanitize_inventory/tasks/main.yml:101
fatal: [qe-wmengah37bug1-master-etcd-1.0528-vsm.qe.rhcloud.com]: FAILED! => {
    "changed": false, 
    "failed": true, 
    "msg": "No schedulable masters found, please remove 'openshift_schedulable=False' from all of your masters.\n"
}
	to retry, use: --limit @/usr/share/ansible/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_9/upgrade.retry

Kernel Version: 3.10.0-693.21.1.el7.x86_64
Operating System: Red Hat Enterprise Linux Atomic Host 7.4.5

Comment 7 Weihua Meng 2018-05-29 05:53:29 UTC
task name is misleading.
comments on PR https://github.com/openshift/openshift-ansible/pull/7911/files


Note You need to log in before you can comment on or make changes to this bug.